Skip to main content
POST
/
v1
/
causes
Creates a cause
curl --request POST \
  --url https://api.rootly.com/v1/causes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "causes",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "position": 123,
      "fields": [
        {
          "catalog_field_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "causes",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "position": 123,
      "fields": [
        {
          "catalog_field_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

cause created

data
object
required